{% extends "base.html" %}
{% load static %}

{% block title %} FAQs {% endblock %}
{% block titleHeader %} FAQs {% endblock %}

{% block titleSubHeader %}
Do you have a question? Maybe there is an answer.
{% endblock %}

{% block libraries %}
<script src="https://cdn.jsdelivr.net/npm/editorjs-html@3.0.3/build/edjsHTML.js"></script>
{% endblock %}

{% block content %}


<div class="container">

    {% if message_delete %}
        <div class="alert alert-success alert-dismissible fade show" role="alert">
          {{ message_delete }}
          <button type="button" class="btn-close" data-bs-dismiss="alert" aria-label="Close"></button>
        </div>
    {% endif %}

    {% if message_staff %}
        <div class="alert alert-danger alert-dismissible fade show" role="alert">
          {{ message_staff }}
          <button type="button" class="btn-close" data-bs-dismiss="alert" aria-label="Close"></button>
        </div>
    {% endif %}

    {% if request.user.is_staff %}
    <a type="button" class="btn btn-success" href="{% url 'question_add' %}">
    <i class="fas fa-plus"></i> Add question
    </a>

    <a type="button" class="btn btn-danger" href="{% url 'cat_remove_unused_confirm' %}">
    <i class="fas fa-minus"></i> Delete unused categories
    </a>
    <br>
    {% endif %}

    {% regroup questions|dictsort:"category.name" by category.name as questions_regroup %}

    {% for cat, questions_list in questions_regroup %}
        <h1 {% if not forloop.first %} class="mt-2"{% endif %}>{{ cat }}
            {% if request.user.is_staff %}
            <a href="{% url 'cat_modify' id_category=questions_list.0.category.id %}"
               class="btn btn-primary btn-sm"> <i class="fas fa-pen"></i>  Edit</a>
            <a href="{% url 'cat_confirm_delete' id_category=questions_list.0.category.id %}"
               class="btn btn-danger btn-sm"> <i class="fas fa-minus"></i>  Delete</a>
            {% endif %}
        </h1>

        <div class="accordion" id="accordion_{{questions_list.0.category.id}}">

            {% for q in questions_list %}
                <div class="accordion-item">
                    <h2 class="accordion-header" id="heading_{{q.id}}">
                      <button class="accordion-button collapsed" type="button" data-bs-toggle="collapse" data-bs-target="#collapse_{{q.id}}" aria-expanded="false" aria-controls="collapse_{{q.id}}">
                        {{q.category.position}}.{{q.position}} - {{q.question}}
                      </button>
                    </h2>
                    <div id="collapse_{{q.id}}" class="accordion-collapse collapse" aria-labelledby="heading_{{q.id}}" data-bs-parent="#accordion_{{q.category.id}}">
                      <div class="accordion-body">
                        <div id='divResponse_{{q.id}}'></div>
                      </div>
                      {% if request.user.is_staff %}
                      <div class="d-grid gap-2 d-md-flex justify-content-md-end mb-2 me-2">
                          <a type="button" class="btn btn-danger" href="{% url 'question_confirm_delete' id_question=q.id %}">
                              <i class="fas fa-minus"></i>  Delete
                          </a>
                           <a type="button" class="btn btn-primary" href="{% url 'question_edit' id_question=q.id %}">
                               <i class="fas fa-pen"></i>  Edit
                           </a>
                      </div>
                      {% endif %}
                    </div>
                  </div>
            {% endfor %}

        </li>
    </div>
    {% endfor %}

</div>

<script>
  const edjsParser = edjsHTML();
  var div;
  {% for q in questions %}
  div = document.getElementById('divResponse_{{q.id}}');
  div.innerHTML += edjsParser.parse({{q.response | safe }}).join(' ');
  {% endfor %}
</script>
{% endblock %}